%define name	iplist-block
%define realname iplist
%define version 0.28
%define release %mkrel 1
%define __libtoolize    /bin/true

Summary:	a list based packet handler
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{realname}-0.28.tar.gz
Source1:        ipblock.conf
Patch0:		iplist-0.28-fix-init.patch
License:	GPL
Group:		Networking/Other
URL:		http://iplist.sf.net
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	libnfnetlink-devel
BuildRequires:  gcc-c++
BuildRequires:  zlib-devel 
BuildRequires:  libnetfilter_queue-devel 
Requires:	libnetfilter_queue1 
Requires:       libnfnetlink
Requires:       java >= 1.6
Requires:       fuse
Requires:       gksu
Requires:	libnfnetlink0 libnetfilter_queue1
Obsoletes:	iplist

%description
iplist is a list based packet handler which uses
the netfilter netlink-queue library (kernel 2.6.14 or 
later). It filters by IP-address and is optimized for 
thousands of IP-address ranges.

%prep
%setup -q -n %{realname}-0.28
%patch0 -p0
# fix compiler flags
sed -i -e 's|-O2|%{optflags}|' Makefile

%build
%{make}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sysconfdir}/cron.daily/
mkdir -p %{buildroot}%{_sysconfdir}/pam.d/
mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps/
mkdir -p %{buildroot}%{_initrddir}/
mkdir -p %{buildroot}%{_datadir}/java/
mkdir -p %{buildroot}%{_datadir}/applications/
mkdir -p %{buildroot}%{_datadir}/icons/
mkdir -p %{buildroot}%{_mandir}/man8/
mkdir -p %{buildroot}%{_var}/cache/iplist/

install -p -m 755 debian/ipblock.cron.daily ${RPM_BUILD_ROOT}/%{_sysconfdir}/cron.daily/ipblock
install -p -m 755 fedora/ipblock.init ${RPM_BUILD_ROOT}/%{_initrddir}/ipblock

install -p -m 644 iplist.8 ${RPM_BUILD_ROOT}/%{_mandir}/man8/
install -p -m 644 ipblock.8 ${RPM_BUILD_ROOT}/%{_mandir}/man8/
install -p -m 644 allow.p2p ${RPM_BUILD_ROOT}/var/cache/iplist/
mkdir -p ${RPM_BUILD_ROOT}/%{_sysconfdir}
install -m 644 %SOURCE1 ${RPM_BUILD_ROOT}/%{_sysconfdir}/

ln -s %{_bindir}/consolehelper %{buildroot}%{_bindir}/ipblock

install -p -m 644 ipblock.conf \
	%{buildroot}%{_sysconfdir}/ipblock.conf
install -p -m 644 ipblock.lists \
	%{buildroot}%{_sysconfdir}/ipblock.lists
install -p -m 644 fedora/ipblock.pam \
	%{buildroot}%{_sysconfdir}/pam.d/ipblock
install -p -m 644 fedora/ipblock.security \
	%{buildroot}%{_sysconfdir}/security/console.apps/ipblock
install -p -m 755 fedora/ipblock.init \
	%{buildroot}%{_initrddir}/ipblock
install -p -m 755 debian/ipblock.cron.daily \
	%{buildroot}%{_sysconfdir}/cron.daily/ipblock
install -p -m 644 fedora/ipblock.desktop \
	%{buildroot}%{_datadir}/applications/ipblock.desktop
install -p -m 644 ipblock.png \
	%{buildroot}%{_datadir}/icons/ipblock.png

install -p -m 644 iplist.8 %{buildroot}%{_mandir}/man8/
install -p -m 644 ipblock.8 %{buildroot}%{_mandir}/man8/
install -p -m 644 allow.p2p %{buildroot}%{_var}/cache/iplist/

# creating desktop entry
cat > %{buildroot}/%{_datadir}/applications/ipblock.desktop <<EOF
[Desktop Entry]
Version=1.0
Name=IPblock
Comment=IP Blocker
Categories=Network;X-MandrivaLinux-Internet-Other;Network;;
Exec=gksu '/usr/sbin/ipblock -g'
Icon=ipblock
Terminal=false
Type=Application
EOF

%{make} DESTDIR=${RPM_BUILD_ROOT} install

%clean
test "x$RPM_BUILD_ROOT" != "x/" && rm -rf $RPM_BUILD_ROOT

%post
%_post_service ipblock
%{update_menus}

%preun
%_preun_service ipblock

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc debian/copyright changelog ipblock.lists allow.p2p ipblock.conf
%config(noreplace) %{_sysconfdir}/ipblock.conf
%config(noreplace) %{_sysconfdir}/ipblock.lists
%{_sysconfdir}/pam.d/ipblock
%{_sysconfdir}/security/console.apps/ipblock
%{_sysconfdir}/cron.daily/ipblock
%{_initrddir}/ipblock
%{_sbindir}/iplist
%{_sbindir}/ipblock
%{_bindir}/ipblock
%{_mandir}/man8/iplist.8*
%{_mandir}/man8/ipblock.8*
%{_var}/cache/iplist
%{_javadir}/ipblockUI.jar
%{_datadir}/applications/ipblock.desktop
%{_datadir}/icons/ipblock.png

%changelog
* Wed Apr 21 2010 slick50 <lxgator@gmail.com> 0.28-1pclos2010
- 0.28

* Fri Jun 05 2009 Texstar <texstar@gmail.com> 0.18-2pclos2009
- fix README.lists

* Sat May 30 2009 Texstar <texstar@gmail.com> 0.18-1pclos2009
- back down to working version

* Sun May 24 2009 Texstar <texstar@gmail.com> 0.26-1pclos2009
- 0.26
- fix rpm group

* Thu Jan 15 2008 DidouPh <didouph@matoilnet.com>
- built from fc srpm
